Package weka.experiment

# Interface InstanceQueryAdapter

All Known Implementing Classes:
  `InstanceQuery`

public interface InstanceQueryAdapter
An interface implemented by InstanceQuery and any user class that is to be passed as the first argument to InstanceQuery.retrieveInstances(InstanceQueryAdapter, ResultSet).

Version:
  $Revision: 8034 $
Author:
  Wes Munsil (wes_munsil@cytoanalytics.com)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `attributeCaseFix(String columnName)`
  returns key column headings in their original case.
  `boolean`
  `getDebug()`
  Gets whether there should be printed some debugging output to stderr or not.
  `boolean`
  `getSparseData()`
  Gets whether data is to be returned as a set of sparse instances
  `int`
  `translateDBColumnType(String type)`
  translates the column data type string to an integer value that indicates which data type / get()-Method to use in order to retrieve values from the database (see DatabaseUtils.Properties, InstanceQuery()).

- ## Method Details

  - ### attributeCaseFix

    String attributeCaseFix(String columnName)
    returns key column headings in their original case. Used for those databases that create uppercase column names.
    Parameters:
      `columnName` - the column to retrieve the original case for
    Returns:
      the original case

  - ### getDebug

    boolean getDebug()
    Gets whether there should be printed some debugging output to stderr or not.
    Returns:
      true if output should be printed

  - ### getSparseData

    boolean getSparseData()
    Gets whether data is to be returned as a set of sparse instances
    Returns:
      true if data is to be encoded as sparse instances

  - ### translateDBColumnType

    int translateDBColumnType(String type)
    translates the column data type string to an integer value that indicates which data type / get()-Method to use in order to retrieve values from the database (see DatabaseUtils.Properties, InstanceQuery()). Blanks in the type are replaced with underscores "_", since Java property names can't contain blanks.
    Parameters:
      `type` - the column type as retrieved with java.sql.MetaData.getColumnTypeName(int)
    Returns:
      an integer value that indicates which data type / get()-Method to use in order to retrieve values from the